MetadataGeneratingMetaClassCreationHandle (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.documentation
[Java] Class MetadataGeneratingMetaClassCreationHandle

    java.lang.Object
      groovy.lang.MetaClassRegistry$MetaClassCreationHandle
          groovy.lang.ExpandoMetaClassCreationHandle
              org.codehaus.groovy.grails.documentation.MetadataGeneratingMetaClassCreationHandle

    public class MetadataGeneratingMetaClassCreationHandle
    extends groovy.lang.ExpandoMetaClassCreationHandle

Used to enable the Metadata generating EMC creation handle.

Authors:
  Graeme Rocher

Since:
  1.2

Field Summary

Fields inherited from class groovy.lang.ExpandoMetaClassCreationHandle
instance

Method Summary
`protected groovy.lang.MetaClass` | `createNormalMetaClass(java.lang.Class theClass, groovy.lang.MetaClassRegistry registry)`
`static void` | `disable()`
`static void` | `enable()` Enables the ExpandoMetaClassCreationHandle with the registry.
`boolean` | `hasModifiedMetaClass(groovy.lang.ExpandoMetaClass emc)`
`static boolean` | `isExcludedClass(java.lang.Class theClass)`
`void` | `registerModifiedMetaClass(groovy.lang.ExpandoMetaClass emc)` Registers a modified ExpandoMetaClass with the creation handle

Methods inherited from class groovy.lang.ExpandoMetaClassCreationHandle
groovy.lang.ExpandoMetaClassCreationHandle#enable(), groovy.lang.ExpandoMetaClassCreationHandle#disable(), groovy.lang.ExpandoMetaClassCreationHandle#registerModifiedMetaClass(groovy.lang.ExpandoMetaClass), groovy.lang.ExpandoMetaClassCreationHandle#hasModifiedMetaClass(groovy.lang.ExpandoMetaClass), groovy.lang.ExpandoMetaClassCreationHandle#create(java.lang.Class, groovy.lang.MetaClassRegistry), groovy.lang.ExpandoMetaClassCreationHandle#isDisableCustomMetaClassLookup(), groovy.lang.ExpandoMetaClassCreationHandle#setDisableCustomMetaClassLookup(boolean), groovy.lang.ExpandoMetaClassCreationHandle#wait(long, int), groovy.lang.ExpandoMetaClassCreationHandle#wait(long), groovy.lang.ExpandoMetaClassCreationHandle#wait(), groovy.lang.ExpandoMetaClassCreationHandle#equals(java.lang.Object), groovy.lang.ExpandoMetaClassCreationHandle#toString(), groovy.lang.ExpandoMetaClassCreationHandle#hashCode(), groovy.lang.ExpandoMetaClassCreationHandle#getClass(), groovy.lang.ExpandoMetaClassCreationHandle#notify(), groovy.lang.ExpandoMetaClassCreationHandle#notifyAll()

Methods inherited from class groovy.lang.MetaClassRegistry$MetaClassCreationHandle
groovy.lang.MetaClassRegistry$MetaClassCreationHandle#create(java.lang.Class, groovy.lang.MetaClassRegistry), groovy.lang.MetaClassRegistry$MetaClassCreationHandle#isDisableCustomMetaClassLookup(), groovy.lang.MetaClassRegistry$MetaClassCreationHandle#setDisableCustomMetaClassLookup(boolean), groovy.lang.MetaClassRegistry$MetaClassCreationHandle#wait(long, int), groovy.lang.MetaClassRegistry$MetaClassCreationHandle#wait(long), groovy.lang.MetaClassRegistry$MetaClassCreationHandle#wait(), groovy.lang.MetaClassRegistry$MetaClassCreationHandle#equals(java.lang.Object), groovy.lang.MetaClassRegistry$MetaClassCreationHandle#toString(), groovy.lang.MetaClassRegistry$MetaClassCreationHandle#hashCode(), groovy.lang.MetaClassRegistry$MetaClassCreationHandle#getClass(), groovy.lang.MetaClassRegistry$MetaClassCreationHandle#notify(), groovy.lang.MetaClassRegistry$MetaClassCreationHandle#notifyAll()

Method Detail

### createNormalMetaClass

    @java.lang.SuppressWarnings("rawtypes")
    @java.lang.Override
    protected groovy.lang.MetaClass createNormalMetaClass(java.lang.Class theClass, groovy.lang.MetaClassRegistry registry)

### disable

    public static void disable()

### enable

    @java.lang.Deprecated
    public static void enable()

  Enables the ExpandoMetaClassCreationHandle with the registry. `ExpandoMetaClassCreationHandle.enable();`
  deprecated:
    Dynamic document generation no longer supported

### hasModifiedMetaClass

    @java.lang.Override
    public boolean hasModifiedMetaClass(groovy.lang.ExpandoMetaClass emc)

### isExcludedClass

    public static boolean isExcludedClass(java.lang.Class theClass)

### registerModifiedMetaClass

    @java.lang.Override
    public void registerModifiedMetaClass(groovy.lang.ExpandoMetaClass emc)

  Registers a modified ExpandoMetaClass with the creation handle
  Parameters:
    `emc` - The EMC

Groovy Documentation